Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005901TestLinkBug Tracking System - TRAC Integrationpublic2013-09-09 14:072013-12-26 11:01
Reporterseajays 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionServer 2003
Product Version1.9.8 (2013 Q3 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0005901: TRAC integration - sendCmd() errors are not logged
DescriptionIf the TRAC XML_RPC does not return a valid response (i.e. due to a permissions error) testlink does not capture the error and log it. Instead the following error message is recorded in testlink logfiles:

[>>][522dc833ce7a8495347066][DEFAULT][/testlink/lib/execute/bugAdd.php][13/Sep/9 13:08:03]
    [13/Sep/9 13:08:03][WARNING][djef2c804r1d8sj1nstujeuph4][GUI]
        E_WARNING
Missing argument 1 for tLog(), called in C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink\lib\issuetrackerintegration\tracxmlrpcInterface.class.php on line 303 and defined - in C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink\lib\functions\logging.inc.php - Line 61
    [13/Sep/9 13:08:03][WARNING][djef2c804r1d8sj1nstujeuph4][GUI]
        E_NOTICE
Undefined variable: message - in C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink\lib\functions\logging.inc.php - Line 82
Steps To ReproduceAttempt to add a bug ID to testlink, when the TRAC interface is setup but the user authentication is incorrect.
Additional InformationI have managed to resolve this issue by changing line 303 in tracxmlrpcInterface.class.php

Instead of:
Line 303: tLog();
I have edited it to read:
Line 303: tLog(serialize($response), 'WARNING');

This then logs the XML output from TRAC in the testlink logfile, which also helps in debugging what is wrong.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0006114closedfman file missing /testlink/lib/bugtracking/int_trac.php 
child of 0005897closedfman Availables hot-fixes for 1.9.8 & How To get full fixed package from gitorious 

-  Notes
(0019583)
fman (administrator)
2013-09-09 18:00

http://gitorious.org/testlink-ga/testlink-code/commit/256853946ea32be923efc72a7ab61a2b85a660c5 [^]
(0020101)
fman (administrator)
2013-11-17 09:54

1.9.9 Released

- Issue History
Date Modified Username Field Change
2013-09-09 14:07 seajays New Issue
2013-09-09 15:23 fman Assigned To => fman
2013-09-09 15:23 fman Status new => acknowledged
2013-09-09 17:42 fman Relationship added child of 0005897
2013-09-09 17:58 fman Summary TRAC integration errors are not logged => TRAC integration - sendCmd() errors are not logged
2013-09-09 18:00 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-09-09 18:00 fman Note Added: 0019583
2013-09-09 18:00 fman Status acknowledged => resolved
2013-09-09 18:00 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)
2013-09-09 18:00 fman Resolution open => fixed
2013-11-17 09:54 fman Note Added: 0020101
2013-11-17 09:54 fman Status resolved => closed
2013-12-26 11:01 fman Relationship added related to 0006114



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker